# Raboot
At the beginning of Ruby on Rails application development, developers need to set up gem etc. It makes me feel lazy. Raboot set up new rails app by copying from already existed rails app as a template. By default, it use ```~/.raboot``` as a template.


## Installation

```
$ gem install raboot
```

## Usage
It is necessary to prepare an rails application to be a template in ```~/.raboot```.

```
$ raboot new <new_rails_app_name>
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/tkmru/raboot. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
